Page MenuHomePhabricator

Create schema for Job event
Closed, ResolvedPublic

Description

We need to develop a general schema for the Job event.

We can't schema everything, like job parameters are different from one type of job to another, but we can schema at least something.

One potential problem is that our serialization format is JSON while job params can contain binary data not serializable to JSON. For that matter we'd need to take the same approach as we use for the page-properties-change event and base64-encode the binary data.

Details

Related Gerrit Patches:
mediawiki/event-schemas : masterEvent schema for job queue event.

Event Timeline

Pchelolo created this task.Feb 3 2017, 12:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2017, 12:30 AM
Nuria moved this task from Incoming to Dashiki on the Analytics board.Feb 9 2017, 4:48 PM

Change 348136 had a related patch set uploaded (by Ppchelko):
[mediawiki/event-schemas@master] Event schema for job queue event.

https://gerrit.wikimedia.org/r/348136

Change 348136 merged by jenkins-bot:
[mediawiki/event-schemas@master] Event schema for job queue event.

https://gerrit.wikimedia.org/r/348136

Milimetric triaged this task as Medium priority.May 8 2017, 2:35 PM
Milimetric moved this task from Dashiki to Radar on the Analytics board.
Milimetric added a subscriber: Ottomata.
Pchelolo closed this task as Resolved.May 23 2017, 4:30 PM
Pchelolo edited projects, added Services (done); removed Patch-For-Review, Services (later).

The schema is merged and live in the EventBus